cgD3D9TypeToSize(3)

NAME
cgD3D9TypeToSize - get the size of a CGtype enumerated type

SYNOPSIS
  #include <Cg/cgD3D9.h>
  DWORD cgD3D9TypeToSize( CGtype type );

PARAMETERS

type
    Member of the CGtype enumerated type whose size is to be returned.

RETURN VALUES
Returns the size of type in terms of consecutive floating point values.

Returns 0 if the type does not have an inherent size. Sampler types fall into this category.

DESCRIPTION
cgD3D9TypeToSize retrieves the size of a CGtype enumerated type in terms of consecutive floating point values.

If the type does not have an inherent size, the return value is 0. Sampler types fall into this category.

EXAMPLES
  // param is a CGparameter initialized earlier
  ...
  DWORD size = cgD3D9TypeToSize(cgGetParameterType(param));
  // (sanity check that parameters have the expected size)
  ...
  assert(cgD3D9TypeToSize(cgGetParameterType(vsModelView)) == 16);
  assert(cgD3D9TypeToSize(cgGetParameterType(psColor)) == 4);

ERRORS
None.

HISTORY
cgD3D9TypeToSize was introduced in Cg 1.1.

SEE ALSO
cgD3D9ResourceToDeclUsage, cgD3D9GetVertexDeclaration, cgD3D9ValidateVertexDeclaration